Create Storage Credential
Creates a Storage Credential. You can add as many Storage Credentials as you like to a Storage instance. We will choose the Storage Credential with the longest expiry time when we need to access the Storage instance. Credentials are immutable once created - but you can create a new Storage Credential record, then delete the old one.
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your
auth token.
Path parameters
project_name string Required
storage_name string Required
Request
This endpoint expects an object.
specobjectRequired
The specification of the credential.
Show 3 variantsHide 3 variants
Discriminated by type. Select one variant:
Microsoft.StorageobjectAzureCredentialSpecCreate
The credential for the Azure Storage Account
Show 1 propertyHide 1 property
sasTokenstringRequiredpattern: ^\?([a-z]+=[^&]+)(&[a-z]+=[^&]+)+$
SAS Token for Azure Storage Account, including leading ?
typeenum or nullRequired
The type of the credential.
Allowed values:Microsoft.StorageAWS.S3Google.Storage
AWS.S3objectAWSCredentialSpec
The credential for the AWS S3 bucket.
Show 2 propertiesHide 2 properties
accessKeyIdstringRequiredpattern: ^A[KS]IA[0-9A-Z]{16}$
The access key ID for the bucket.
secretAccessKeystringRequiredpattern: ^[A-Za-z0-9+/=]{40}$
The secret access key for the bucket.
typeenum or nullRequired
The type of the credential.
Allowed values:Microsoft.StorageAWS.S3Google.Storage
Google.StorageobjectGoogleCredentialSpec
The credential for the Google Storage bucket.
Show 1 propertyHide 1 property
gacmap from strings to stringRequired
Google Application Credentials in JSON format.
You can generate this from the command line with
Or download it from the GCP console.
You can generate this from the command line with
gcloud iam service-accounts keys create key.json --iam-account=<service_account>@<project>.iam.gserviceaccount.comOr download it from the GCP console.
Show value schemaHide value schema
[any key]string
typeenum or nullRequired
The type of the credential.
Allowed values:Microsoft.StorageAWS.S3Google.Storage
Response
201 Create a Storage instance Credential.
Metadata about the credential.
Show 7 propertiesHide 7 properties
createdstringOptionalformat: date-time
The time when the resource was created
createdBystringOptionalformat: uuid
ID of the user who created the resource
createdByEmailstringOptional
Email of the user who created the resource
idstringRequiredformat: uuid
The ID of the resource
updatedstringOptionalformat: date-time
The time when the resource was last updated
updatedBystringOptionalformat: uuid
ID of the user who last updated the resource
updatedByEmailstringOptional
Email of the user who last updated the resource
specobjectRequired
The specification of the credential.
Show 3 variantsHide 3 variants
Discriminated by type. Select one variant:
Microsoft.StorageobjectAzureCredentialSpecRead
The credential for the Azure Storage Account
Show 3 propertiesHide 3 properties
sasTokenstringRequiredpattern: ^\?([a-z]+=[^&]+)(&[a-z]+=[^&]+)+$
SAS Token for Azure Storage Account, including leading ?
signedExpirystringRequiredformat: date-time
The expiry time of the token.
signedStartstring or nullRequiredformat: date-time
The start time of the token.
typeenum or nullRequired
The type of the credential.
Allowed values:Microsoft.StorageAWS.S3Google.Storage
AWS.S3objectAWSCredentialSpec
The credential for the AWS S3 bucket.
Show 2 propertiesHide 2 properties
accessKeyIdstringRequiredpattern: ^A[KS]IA[0-9A-Z]{16}$
The access key ID for the bucket.
secretAccessKeystringRequiredpattern: ^[A-Za-z0-9+/=]{40}$
The secret access key for the bucket.
typeenum or nullRequired
The type of the credential.
Allowed values:Microsoft.StorageAWS.S3Google.Storage
Google.StorageobjectGoogleCredentialSpec
The credential for the Google Storage bucket.
Show 1 propertyHide 1 property
gacmap from strings to stringRequired
Google Application Credentials in JSON format.
You can generate this from the command line with
Or download it from the GCP console.
You can generate this from the command line with
gcloud iam service-accounts keys create key.json --iam-account=<service_account>@<project>.iam.gserviceaccount.comOr download it from the GCP console.
Show value schemaHide value schema
[any key]string
typeenum or nullRequired
The type of the credential.
Allowed values:Microsoft.StorageAWS.S3Google.Storage
Errors
400 Bad Request
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code